
Core - Bug # 23335

Status: Closed Priority: Should have
Author: Andreas Klein Category:
Created: 2010-08-02 Assigned To:
Updated: 2013-07-09 Due date:
TYPO3 Version: 4.4
PHP Version: 5.2
Complexity:
Is Regression:
Sprint Focus:
Subject: it's not possible to edit BE_users created by earlier typo3-version
Description

I tried to edit a backend-user (it's the same for groups) and got the errormessage as in bug 
http://bugs.typo3.org/view.php?id=15292&#38;nbn=1
So I installed the proposed patch  http://bugs.typo3.org/file_download.php?file_id=12514&#38;type=bug
But, in my case this patch doesn't fix the problem, it only changes the errormessage to the one I have attached.
Btw, it is no problem to edit users which have been created after I installed typo3 4.4.1. The problem occurs with all users I created
while I was running typo3 4.1.12.

(issue imported from #M15327)

Related issues:
related to Core - Bug # 23306: DB browser is unusable Closed 2010-07-29

History
#1 - 2010-08-02 17:21 - Andreas Klein

I just tried typo3 4.4.0 and the problem doesn't exist in this release. The problem is only present in 4.4.1.

#2 - 2010-08-05 21:13 - Oliver Hader

Please test the SVN TYPO3_4-4 branch or test the upcoming TYPO3 4.4.2 release - the behaviour your reported is fixed there...

#3 - 2010-08-11 13:40 - Maik Matthias

I can confirm this bug. Same problem in Typo 4.4.2 release.

#4 - 2010-08-12 12:14 - Maik Matthias

I fixed the bug in Typo 4.4.2 by changing the function getIcon in class.t3lib_treeview.php (line 655 ff) as follows:

function getIcon($row) {
        if ($this->iconPath && $this->iconName) {
            $icon = '&lt;img'.t3lib_iconWorks::skinImg('',$this-&gt;iconPath.$this->iconName,'width="18" height="16"').'
alt=""'.($this->showDefaultTitleAttribute ? ' title="UID: '.$row['uid'].'"':'').' />';
        } else {
            $icon = '';
            if (is_array($row)) {
            $icon = t3lib_iconWorks::getSpriteIconForRecord($this->table, $row, array(
                'title' => ($this->showDefaultTitleAttribute ? 'UID: ' . $row['uid'] : $this->getTitleAttrib($row)),
                'class' => 'c-recIcon'
            ));
            }
        }
return $this->wrapIcon($icon,$row);
    }
--------------------------------

Don´t know about possible side-effects yet.

#5 - 2010-08-12 12:20 - Maik Matthias

One more hint to the background of the described problem: It seem to have a relation to the extension tt_news. It occurs when an older version of
tt_news (2.x) was installed before.

#6 - 2010-08-12 13:56 - Andreas Klein

Yes, as Maik said, the problem occurs only, if an older tt_news plugin was installed. I upgraded to typo3 4.4.2 an tt_news 3.0.1, but it doesn't help.

#7 - 2010-10-07 21:47 - Andreas Klein

I just tried typo3 4.4.4. It is still the same problem.

#8 - 2010-10-07 22:28 - Andreas Klein

I applied the patch from Maik Matthis and it helped to solve the problem.
Hope this patch will be included in future releases.

#9 - 2011-11-25 00:30 - Stefan Galinski
- Target version deleted (0)

Please create a review request if this bug is still valid for you.

http://wiki.typo3.org/Contribute_Walkthrough

#10 - 2013-07-09 09:45 - Alexander Opitz
- Status changed from Needs Feedback to Closed

No feedback for over 90 days.
